﻿using System.Data;

namespace TestProject
{
    /// <summary>
    /// 샘플 데이터
    /// </summary>
    public class SampleData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 샘플 테이블 구하기 - GetSampleTable(count)

        /// <summary>
        /// 샘플 테이블 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>샘플 테이블</returns>
        public static DataTable GetSampleTable(int count)
        {
            DataTable table = new DataTable();

            table.Columns.Add("항목1", typeof(string));
            table.Columns.Add("항목2", typeof(string));
            table.Columns.Add("항목3", typeof(string));
            table.Columns.Add("항목4", typeof(string));
            table.Columns.Add("항목5", typeof(string));

            for(int i = 0; i < count; i++)
            {
                table.Rows.Add("값 " + i.ToString(), "값 " + i.ToString(), "값 " + i.ToString(), "값 " + i.ToString(), "값 " + i.ToString());
            }

            table.AcceptChanges();

            return table;
        }

        #endregion
    }
}